@import url("https://fonts.googleapis.com/css2?family=Road+Rage&display=swap");
* {
  padding: 0;
  margin: 0;
  box-sizing: border-box;
  text-decoration: none;
  color: var(--black);
  font-family: var(--font-1);
  font-weight: 400;
}
html {
  /* 1rem = 10px */
  font-size: 62.5%;
  scroll-behavior: smooth;
}
body,
html {
  width: 100%;
  height: 100%;
}
body {
  width: 100%;
  overflow-x: hidden;
}
header,
section {
  font-size: 1.6rem;
}
:root {
  --font-1: "Road Rage", sans-serif;
  --white: #ffffff;
  --black: #000000;
  --nav-height: 100px;
}
.flex {
  display: flex;
  align-items: center;
  justify-content: center;
}
.page {
  width: 100%;
  overflow: hidden;
  position: relative;
  display: flex;
  flex-direction: column;
  min-height: 100vh;
  /* margin: auto;
  max-width: 1400px; */
}
/* ========navbar======== */
.navbar {
  display: flex;
  align-items: center;
  justify-content: space-between;
  padding-left: 4%;
  padding-right: 4%;
  margin-left: 4%;
  margin-top: 2rem;
  min-height: var(--nav-height);
  gap: 10px;
  background-color: #ffffff;
  background: var(--white);
  border: 4px solid #000000;
  border-right: none;
  border-top-left-radius: 40px;
  border-bottom-left-radius: 40px;
  overflow-y: hidden;
}

.nav-left-side {
  display: flex;
  align-items: center;
  justify-content: center;
  gap: 1rem;
}
.logo {
  width: 9rem;
  height: auto;
  position: relative;
  bottom: -10px;
}
.logo img {
  width: 100%;
  height: 100%;
}
.logo-text {
  font-size: 6rem;
  text-align: center;
}
.nav-right-side {
  display: flex;
  align-items: stretch;
  justify-content: center;
  gap: 1rem;
}
/* ========btns section======== */

.btns-container {
  display: flex;
  align-items: center;
  justify-content: center;
  position: relative;
  gap: 1rem;
}
.link-btn {
  padding: 0.8rem 1rem;
  width: 5rem;
  height: 5rem;
  display: flex;
  align-items: center;
  justify-content: center;
  transition: all 0.4s;
  border: 2px solid #000000;
  border-radius: 50%;
}


.copy-btn:hover,
.btn:hover,
.link-btn:hover {
  border-radius: 10px;
}
.telegram {
  background-color: #2b5dda;
}
.twitter {
  background-color: #f1bb20;
}
.link-btn img {
  width: 100%;
  height: auto;
}
.nav-btn-container {
  display: flex;
  align-items: center;
  justify-content: center;
  text-align: center;
  gap: 1rem;
}
button{
  transition: all 0.3s;
  cursor: pointer;
}
button span {
  font-size: 3.5rem;
}

.home-btn span {
  color: var(--white);
}
.home-btn button {
  background-color: #2b5dda;
  border: 1.21px solid #000000;
  border-radius: 37px;
  padding: 0.5rem 2rem;
}
.airdrop-btn button {
  background-color: #f1bb20;
  border: 2px solid #000000;
  border-radius: 70px;
  padding: 0.5rem 2rem;
}

button:hover{
  border-radius: 10px;
}
.page-content {
  display: flex;
  flex-direction: column;
  justify-content: space-between;
  width: 100%;
  min-height: calc(100vh - var(--nav-height));
  background: linear-gradient(180deg, #97d5ff 0%, #ffffff 100%);
}

/* ========bottom-side======== */
.top-side {
  padding-top: 10rem;
  background: linear-gradient(180deg, #97d5ff 0%, #ffffff 100%);
  display: flex;
  align-items: flex-end;
  justify-content: center;
  position: relative;
  overflow-y: hidden;
}

.center-div {
  background-color: #6a94ff;
  border: 4px solid #000000;
  border-left: none;
  border-right: none;
  min-height: 8rem;
  display: flex;
  align-items: center;
  flex-direction: column;
  justify-content: center;
  text-align: center;
  padding: 2rem 4% 2rem 4%;
}
.center-div2 {
  border-bottom: none;
}
.bottom-side {
  display: flex;
  flex-direction: column;
  align-items: center;
  gap: 2rem;
  flex: 1;
  position: relative;
  padding: 2rem 4% 2rem 4%;
  flex: 1;
  background-color: #76e8ff;
}
.text-img-container {
  display: flex;
  align-items: center;
  justify-content: space-between;
  width: 100%;
}
/* =========heading section======== */
.text-div {
  display: flex;
  flex-direction: column;
  align-items: flex-start;
  text-align: left;
}
.text-div .btns-container {
  margin-top: 2rem;
}
.heading1 {
  line-height: 70%;
  font-size: 10rem;
}
.heading2 {
  font-size: 11rem;
}
.para {
  font-size: 5rem;
}

/* ========copy btn section======== */

.copy-btn-box {
  display: flex;
  justify-content: center;
  align-items: stretch;
  gap: 10px;
}

.copy-btn {
  font-size: 5rem;
  cursor: pointer;
  transition: all 0.4s;
  background-color: #2b5dda;
  border: 1.65px solid #000000;
  border-radius: 50px;
  padding: 0.5rem 1.5rem;
  color: var(--white);
}
.copy-text {
  padding: 1rem;
  background-color: var(--white);
  border: 3.29px solid #000000;
  border-radius: 50px;
}
.copy-text p {
  font-size: 1.8rem;
  width: 300px;
  overflow: hidden;
  white-space: nowrap;
  text-overflow: ellipsis;
  text-align: center;
}
/* ========main-img section======== */
.warpper {
  display: flex;
  align-items: center;
  position: relative;
  max-width: 120rem;
  margin-bottom: 10rem;
  margin-left: -6rem;
}
.warpper::before {
  content: "";
  position: absolute;
  top: 0;
  left: 0;
  right: 0;
  bottom: 0;
  width: 100%;
  height: 100%;
  background-repeat: no-repeat;
  background-position: center;
  background-size: contain;
  z-index: 2;
  background: radial-gradient(
    50% 50% at 50% 50%,
    #ffffff 0%,
    rgba(255, 255, 255, 0) 100%
  );
}
#main-img2 {
  position: relative;
  z-index: 5;
  max-width: 60rem;
  width: 95%;
  top: 7rem;
}
#main-img3 {
  max-width: 20rem;
  width: 30%;
  position: relative;
  top: 15rem;
  left: 6rem;
}
#main-img4 {
  max-width: 20rem;
  width: 30%;
  position: absolute;
  top: 0;
  right: 0;
  z-index: 3;
}

.main-img {
  position: relative;
  width: 95%;
  z-index: 5;
}
#main-img1 {
  max-width: 50rem;
  position: relative;
  bottom: -8px;
  width: 80%;
}
.clouds-bg {
  position: absolute;
  bottom: -15%;
  width: 100%;
  height: auto;
}
.clouds-bg img,
.main-img img {
  width: 100%;
  height: 100%;
}
.cloud {
  position: absolute;
  max-width: 15rem;
  width: 20%;
  height: auto;
}
#cloud1 {
  left: 6%;
  top: 15rem;
}
#cloud2 {
  top: 1rem;
  left: 30%;
}
#cloud3 {
  right: 5%;
  top: 2rem;
  width: 25%;
  max-width: 25rem;
}
/* responsivness */
@media (max-width: 995px) {
  html {
    font-size: 55%;
  }
}
@media (max-width: 400px) {
  html {
    font-size: 50%;
  }
}
@media (max-width: 1150px) {
  .heading1 {
    line-height: 90%;
    font-size: 9rem;
  }
  .heading2 {
    font-size: 9rem;
  }
  .para {
    font-size: 4rem;
  }
  .logo-text {
    font-size: 5rem;
  }
}
@media (max-width: 900px) {
  .heading2 {
    font-size: 8rem;
  }
  .para {
    font-size: 3.5rem;
  }
  .clouds-bg {
    bottom: -10%;
  }
}

@media (max-width: 850px) {
  .text-img-container {
    flex-direction: column;
    gap: 2rem;
  }
  .heading2 {
    font-size: 10rem;
  }
  .para {
    font-size: 4rem;
  }
  .text-div {
    text-align: center;
    align-items: center;
  }
  #main-img2 {
    width: 100%;
    top: 5rem;
  }
  .logo-text {
    font-size: 4rem;
  }
  .nav-btn-container button span {
    font-size: 3rem;
  }
  .clouds-bg {
    bottom: -2rem;
  }
  #main-img4 {
    top: -2rem;
  }
}
@media (max-width: 700px) {
  .nav-left-side {
    gap: 0rem;
  }
  .navbar {
    padding-left: 3%;
    padding-right: 3%;
  }
  .nav-btn-container button {
    padding: 0.5rem 1.5rem;
  }
  .cloud {
    max-width: 12rem;
  }
  #cloud1 {
    left: 2%;
  }
  #cloud2 {
    left: 30%;
  }
  #cloud3 {
    max-width: 20rem;
  }
}
@media (max-width: 601px) {
  #main-img3 {
    top: 9rem;
  }
  #btns-container1 {
    display: none;
  }
  .airdrop-btn button {
    margin-top: 2rem;
  }
  .heading1,
  .heading2 {
    font-size: 8rem;
  }
  .para {
    font-size: 3.5rem;
  }
  #cloud1 {
    top: 6rem;
  }
}
@media (max-width: 500px) {
  .copy-btn-box {
    flex-direction: column;
    align-items: center;
  }
  .logo {
    width: 7rem;
    bottom: -7px;
  }
  :root {
    --nav-height: 80px;
  }
  .airdrop-btn .coming {
    display: none;
  }
  .copy-text p {
    font-size: 1.5rem;
    width: 250px;
  }
}
